
public class Class554 implements Interface55 {

   int anInt7437;
   int anInt7438;
   int[] anIntArray7439;
   static int anInt7440;


   public boolean method288(Class225_Sub8 var1, Interface56[] var2, int var3, Class234 var4) {
      if(var1 == null) {
         if(-2028810171 * this.anInt7438 != -1) {
            return false;
         }
      } else {
         if(-2028810171 * this.anInt7438 != var1.method13533(-603729937)) {
            return false;
         }

         if(this.anInt7437 * -637536351 > var1.method13536(-1438962214)) {
            return false;
         }

         int[] var5 = this.anIntArray7439;

         for(int var6 = 0; var6 < var5.length; ++var6) {
            int var7 = var5[var6];
            if(!var4.method4052(var7, (short)160)) {
               return false;
            }
         }
      }

      return true;
   }

   public boolean method289(Class225_Sub8 var1, Interface56[] var2, int var3, Class234 var4, int var5) {
      if(var1 == null) {
         if(-2028810171 * this.anInt7438 != -1) {
            return false;
         }
      } else {
         if(-2028810171 * this.anInt7438 != var1.method13533(833299958)) {
            return false;
         }

         if(this.anInt7437 * -637536351 > var1.method13536(-1438962214)) {
            return false;
         }

         int[] var6 = this.anIntArray7439;

         for(int var7 = 0; var7 < var6.length; ++var7) {
            int var8 = var6[var7];
            if(!var4.method4052(var8, (short)160)) {
               return false;
            }
         }
      }

      return true;
   }

   static Class554 method11830(RS2Buffer var0) {
      int var1 = var0.readUnsignedByte(-700559597);
      int var2 = var0.readUnsignedByte(-700559597);
      int var3 = var0.readUnsignedByte(-700559597);
      int[] var4 = new int[var3];

      for(int var5 = 0; var5 < var3; ++var5) {
         var4[var5] = var0.readUnsignedByte(-700559597);
      }

      return new Class554(var1, var2, var4);
   }

   Class554(int var1, int var2, int[] var3) {
      this.anInt7438 = -939277683 * var1;
      this.anInt7437 = 1287892065 * var2;
      this.anIntArray7439 = var3;
   }

   public boolean method286(Class225_Sub8 var1, Interface56[] var2, int var3, Class234 var4) {
      if(var1 == null) {
         if(-2028810171 * this.anInt7438 != -1) {
            return false;
         }
      } else {
         if(-2028810171 * this.anInt7438 != var1.method13533(-457316103)) {
            return false;
         }

         if(this.anInt7437 * -637536351 > var1.method13536(-1438962214)) {
            return false;
         }

         int[] var5 = this.anIntArray7439;

         for(int var6 = 0; var6 < var5.length; ++var6) {
            int var7 = var5[var6];
            if(!var4.method4052(var7, (short)160)) {
               return false;
            }
         }
      }

      return true;
   }

   public boolean method290(Class225_Sub8 var1, Interface56[] var2, int var3, Class234 var4) {
      if(var1 == null) {
         if(-2028810171 * this.anInt7438 != -1) {
            return false;
         }
      } else {
         if(-2028810171 * this.anInt7438 != var1.method13533(-372726614)) {
            return false;
         }

         if(this.anInt7437 * -637536351 > var1.method13536(-1438962214)) {
            return false;
         }

         int[] var5 = this.anIntArray7439;

         for(int var6 = 0; var6 < var5.length; ++var6) {
            int var7 = var5[var6];
            if(!var4.method4052(var7, (short)160)) {
               return false;
            }
         }
      }

      return true;
   }

   public boolean method287(Class225_Sub8 var1, Interface56[] var2, int var3, Class234 var4) {
      if(var1 == null) {
         if(-2028810171 * this.anInt7438 != -1) {
            return false;
         }
      } else {
         if(-2028810171 * this.anInt7438 != var1.method13533(-140334167)) {
            return false;
         }

         if(this.anInt7437 * -637536351 > var1.method13536(-1438962214)) {
            return false;
         }

         int[] var5 = this.anIntArray7439;

         for(int var6 = 0; var6 < var5.length; ++var6) {
            int var7 = var5[var6];
            if(!var4.method4052(var7, (short)160)) {
               return false;
            }
         }
      }

      return true;
   }

   public static String method11831(Object[] var0, int var1, int var2, int var3) {
      if(0 == var2) {
         return "";
      } else if(var2 == 1) {
         CharSequence var9 = (CharSequence)var0[var1];
         return null == var9?"null":var9.toString();
      } else {
         int var4 = var1 + var2;
         int var5 = 0;

         for(int var6 = var1; var6 < var4; ++var6) {
            CharSequence var7 = (CharSequence)var0[var6];
            if(var7 == null) {
               var5 += 4;
            } else {
               var5 += var7.length();
            }
         }

         StringBuilder var10 = new StringBuilder(var5);

         for(int var11 = var1; var11 < var4; ++var11) {
            CharSequence var8 = (CharSequence)var0[var11];
            if(null == var8) {
               var10.append("null");
            } else {
               var10.append(var8);
            }
         }

         return var10.toString();
      }
   }

   static boolean method11832(int var0, int var1) {
      return 18 != var0 && 19 != var0 && 20 != var0 && var0 != 21 && var0 != 22 && 1004 != var0?var0 == 17:true;
   }

   static final void method11833(Class508 var0, int var1) {
      var0.anInt6003 -= 491562365;
      Class37.method1052(var0.anIntArray6027[-937710807 * var0.anInt6003], var0.anIntArray6027[1 + -937710807 * var0.anInt6003], var0.anIntArray6027[-937710807 * var0.anInt6003 + 2], var0.anIntArray6027[var0.anInt6003 * -937710807 + 3], var0.anIntArray6027[-937710807 * var0.anInt6003 + 4], -453843147);
   }

   public static void method11834(byte var0) {
      Class18.aClass121Array188 = new Class121[Class448.aClass253_5594.method4515(-1688642047)];
      Class51.aBoolArray516 = new boolean[Class448.aClass253_5594.method4515(-1728070328)];
   }
}
